csImageLoaderOptionsParser Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csImageLoaderOptionsParser Class Reference
Common Plugin Classes

Helper class to parse options strings passed to iImageIO::Save(). More...

`#include <csplugincommon/imageloader/optionsparser.h>`

List of all members.

## Public Member Functions
| csImageLoaderOptionsParser (const char *options)
| Initialize parser from a given options string.
bool | GetInt (const char *key, int &v) const
| Fetch an option.
bool | GetBool (const char *key, bool &v) const
| Fetch an option.
bool | GetFloat (const char *key, float &v) const
| Fetch an option.
bool | GetString (const char *key, csString &v) const
| Fetch an option.

## Detailed Description

Helper class to parse options strings passed to iImageIO::Save().

Options are a comma-separated list and can be specified either like "option" or "option=value".

Definition at line 40 of file optionsparser.h.

## Constructor & Destructor Documentation

csImageLoaderOptionsParser::csImageLoaderOptionsParser | ( | const char * | options | ) |

Initialize parser from a given options string.

## Member Function Documentation

bool csImageLoaderOptionsParser::GetBool | ( | const char * | key,
|  | bool & | v
| ) |  | const

Fetch an option.

Parameters:

  key | The name of the option to retrieve.
  v | The variable that will receive the parsed value.

Returns:
  Whether the value could be fetched.

bool csImageLoaderOptionsParser::GetFloat | ( | const char * | key,
|  | float & | v
| ) |  | const

Fetch an option.

Parameters:

  key | The name of the option to retrieve.
  v | The variable that will receive the parsed value.

Returns:
  Whether the value could be fetched.

bool csImageLoaderOptionsParser::GetInt | ( | const char * | key,
|  | int & | v
| ) |  | const

Fetch an option.

Parameters:

  key | The name of the option to retrieve.
  v | The variable that will receive the parsed value.

Returns:
  Whether the value could be fetched.

bool csImageLoaderOptionsParser::GetString | ( | const char * | key,
|  | csString & | v
| ) |  | const

Fetch an option.

Parameters:

  key | The name of the option to retrieve.
  v | The variable that will receive the parsed value.

Returns:
  Whether the value could be fetched.

The documentation for this class was generated from the following file:

- csplugincommon/imageloader/optionsparser.h